Bug 3917 - Update php to 5.5.x series
: Update php to 5.5.x series
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 3900
  Show dependency treegraph
 
Reported: 2014-04-03 15:07 MSD by Denis Silakov
Modified: 2014-04-09 13:37 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
kuzma.kazygashev: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-04-03 15:07:28 MSD
It is definitely the time to update php to 5.5 series.
Comment 1 Denis Silakov 2014-04-03 15:13:17 MSD
Advisory:

Updated PHP to 5.5.10 - the latest version from 5.5 series. PHP 5.5 introduced several nice features such as geenrators, improved froeach, etc. The list of major changes can be found in 5.5.0 announcement (http://php.net/archive/2013.php#id2013-06-20-1), other 5.5.x releases primarily contain bug fixes and minor improvements.

PHP 5.5 contains only few minor incompatibilities with 5.4 and this should not be a problem for applications from our repository that use PHP.

Build lists:
(php-suhosin)
https://abf.io/build_lists/1742634
https://abf.io/build_lists/1742633

(php-timezonedb)
https://abf.io/build_lists/1742628
https://abf.io/build_lists/1742627

(php)
https://abf.io/build_lists/1742567
https://abf.io/build_lists/1742566
Comment 2 Denis Silakov 2014-04-04 16:24:50 MSD
Already found an issue with php.ini, new build lists:

Build lists:
(php-suhosin)
https://abf.io/build_lists/1742634
https://abf.io/build_lists/1742633

(php-timezonedb)
https://abf.io/build_lists/1742628
https://abf.io/build_lists/1742627

(php)
https://abf.io/build_lists/1746768
https://abf.io/build_lists/1746767
Comment 3 Denis Silakov 2014-04-07 14:02:46 MSD
Heh, php 5.5.11 is already available - let's wait a little, I will build it.
Comment 4 Denis Silakov 2014-04-07 14:43:09 MSD
Advisory:

Updated PHP to 5.5.11 - the latest version from 5.5 series. PHP 5.5 introduced several nice features such as geenrators, improved froeach, etc. The list of major changes can be found in 5.5.0 announcement (http://php.net/archive/2013.php#id2013-06-20-1), other 5.5.x releases primarily contain bug fixes and minor improvements.

PHP 5.5 contains only few minor incompatibilities with 5.4 and this should not be a problem for applications from our repository that use PHP.

Build lists:
(php-suhosin)
https://abf.io/build_lists/1747686
https://abf.io/build_lists/1747685

(php-timezonedb)
https://abf.io/build_lists/1747688
https://abf.io/build_lists/1747687

(php)
https://abf.io/build_lists/1747673
https://abf.io/build_lists/1747674
Comment 5 Alexander Petryakov 2014-04-08 01:44:00 MSD
Не удаётся установить запрошенный пакет:
apache-mod_php-5.5.11-4-rosa2012.1.x86_64 (из-за неудовлетворённости php-xmlwriter-5.5.11-4-rosa2012.1.x86_64)
Comment 6 Denis Silakov 2014-04-08 12:09:16 MSD
Hm, I can successfully add all containers and install apache-mod_php, how exactly do you try tyo install it? Here is my log:

[root@localhost ~]# urpmi.addmedia php http://abf-downloads.rosalinux.ru/rosa2012.1/container/1747674/x86_64/main/release/
adding medium "php"
    http://abf-downloads.rosalinux.ru/rosa2012.1/container/1747674/x86_64/main/release/media_info/synthesis.hdlist.cz
[root@localhost ~]# urpmi.addmedia suhosin http://abf-downloads.rosalinux.ru/rosa2012.1/container/1747686/x86_64/main/release/
adding medium "suhosin"
    http://abf-downloads.rosalinux.ru/rosa2012.1/container/1747686/x86_64/main/release/media_info/synthesis.hdlist.cz
[root@localhost ~]# urpmi.addmedia php-timezone http://abf-downloads.rosalinux.ru/rosa2012.1/container/1747688/x86_64/main/release/
adding medium "php-timezone"
    http://abf-downloads.rosalinux.ru/rosa2012.1/container/1747688/x86_64/main/release/media_info/synthesis.hdlist.cz
[root@localhost ~]# urpmi --test apache-mod_php
Packages lib64openssl1.0.0-1.0.1c-1-rosa2012.1.x86_64, lib64intl8-0.18.3-1-rosa2012.1.x86_64, lib64xml2_2-2.9.1-1-rosa2012.1.x86_64, apache-modules-2.4.6-3-rosa2012.1.x86_64, lib64apr1-1.4.6-1-rosa2012.1.x86_64, lib64pcre1-8.31-4-rosa2012.1.x86_64, apache-base-2.4.6-3-rosa2012.1.x86_64, lib64z1-1.2.8-1-rosa2012.1.x86_64, lib64stdc++6-4.7.4_2014.01-1-rosa2012.1.x86_64, glibc-2.15-8-rosa2012.1.x86_64, rpm-helper-0.24.1-3-rosa2012.1.noarch, apache-mpm-prefork-2.4.6-3-rosa2012.1.x86_64 are already installed
Marking apache-modules as manually installed, it won't be auto-orphaned
Marking apache-base as manually installed, it won't be auto-orphaned
Marking apache-mpm-prefork as manually installed, it won't be auto-orphaned
Marking apache-mod_php as manually installed, it won't be auto-orphaned
To satisfy dependencies, the following packages are going to be installed:
(test only, installation will not be actually done)
 Package                        Version      Release       Dist  DEpoch Arch
(medium "php")
 apache-mod_php                 5.5.11       4             rosa  2012.1 x86_64
 lib64php5_common5              5.5.11       4             rosa  2012.1 x86_64
 php-ctype                      5.5.11       4             rosa  2012.1 x86_64
 php-dom                        5.5.11       4             rosa  2012.1 x86_64
 php-filter                     5.5.11       4             rosa  2012.1 x86_64
 php-ftp                        5.5.11       4             rosa  2012.1 x86_64
 php-gettext                    5.5.11       4             rosa  2012.1 x86_64
 php-hash                       5.5.11       4             rosa  2012.1 x86_64
 php-ini                        5.5.11       4             rosa  2012.1 x86_64
 php-json                       5.5.11       4             rosa  2012.1 x86_64
 php-openssl                    5.5.11       4             rosa  2012.1 x86_64
 php-posix                      5.5.11       4             rosa  2012.1 x86_64
 php-session                    5.5.11       4             rosa  2012.1 x86_64
 php-sysvsem                    5.5.11       4             rosa  2012.1 x86_64
 php-tokenizer                  5.5.11       4             rosa  2012.1 x86_64
 php-xml                        5.5.11       4             rosa  2012.1 x86_64
 php-xmlreader                  5.5.11       4             rosa  2012.1 x86_64
 php-xmlwriter                  5.5.11       4             rosa  2012.1 x86_64
 php-zlib                       5.5.11       4             rosa  2012.1 x86_64
(medium "php-timezone")
 php-timezonedb                 2014.2       1             rosa  2012.1 x86_64
542KB of disk space will be freed.
1.5MB of packages will be retrieved.
Proceed with the installation of the 20 packages? (Y/n)
Comment 7 Alexander Petryakov 2014-04-09 01:45:32 MSD
I repeated install/update on clean system. Errors were not present.
Comment 8 Alexander Petryakov 2014-04-09 02:04:22 MSD
(php-suhosin)
https://abf.io/build_lists/1747686
https://abf.io/build_lists/1747685

(php-timezonedb)
https://abf.io/build_lists/1747688
https://abf.io/build_lists/1747687

(php)
https://abf.io/build_lists/1747673
https://abf.io/build_lists/1747674
************** Advisory **************
Updated PHP to 5.5.11 - the latest version from 5.5 series. PHP 5.5 introduced several nice features such as geenrators, improved froeach, etc. The list of major changes can be found in 5.5.0 announcement (http://php.net/archive/2013.php#id2013-06-20-1), other 5.5.x releases primarily contain bug fixes and minor improvements.

PHP 5.5 contains only few minor incompatibilities with 5.4 and this should not be a problem for applications from our repository that use PHP.
**************************************
QA Verified